## com.google.appengine.api.datastore
Class DatastoreFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.datastore.DatastoreFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class DatastoreFailureException

extends java.lang.RuntimeException

`DatastoreFailureException` is thrown when any unknown error occurs while communicating with the data store. Clients should not attempt to retry after receiving this exception.

See Also:
  Serialized Form

Constructor Summary
`DatastoreFailureException(java.lang.String message)`
`DatastoreFailureException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatastoreFailureException

    public DatastoreFailureException(java.lang.String message)

### DatastoreFailureException

    public DatastoreFailureException(java.lang.String message,
                                     java.lang.Throwable cause)